Subject: FreeBSD: USB2 RC3
From: Boris Kraut <[email-masked]>
To: undisclosed-recipients: ;
Date: Tue, 04 Nov 2008 20:11:54 +0000

Wer FreeBSD nutzt wird mir zustimmen, dass die derzeitige Unterstuetzung
von USB-Geraeten jenseits von Maus, Tastatur und Stroage Devices mehr als
nur mangelhaft ist. Doch an dem Problem wird gearbeitet und so hat heute
mit dem dritten Release Candidate von USB2 der neue USB-Stack Einzug
nach -CURRENT gehalten. Fruehestens in RELENG_8 wird der neue Stack
enthalten sein und wenn, dann zu erst optional, doch der Anfang ist ge-
macht. Mit USB2 sollte die USB-Unterstuetzung auf einem Level mit Linux
oder MacOS sein. Der Stack von Windows ist zwar funktionell noch in weiter
Ferne, aber dafuer wurde USB2 sauber und standardkonform implementiert;
ich moechte nicht wissen, wieviel Rumgehacke da im Windowscode statt-
gefunden hat. Uebrigens: Mit USB2 ist nun auch eins der letzten groesseren
Subsysteme von FreeBSD GIANT-free.